VENV=source ./.venv/bin/activate;
ALEMBIC=alembic -c ./server/backend/database/alembic/alembic.ini
.PHONY: run run_debug migrate_head migrate_down migrate_history migrate_current migrate_heads migrate_stamp migrate
run:
	$(VENV) python run.py --user_name admin
run_debug:
	$(VENV) python run.py --mode debug --user_name admin
migrate_head:
	$(VENV) $(ALEMBIC) upgrade head
migrate_down:
	$(VENV) $(ALEMBIC) downgrade -1
migrate_history:
	$(VENV) $(ALEMBIC) history
migrate_current:
	$(VENV) $(ALEMBIC) current
migrate_heads:
	$(VENV) $(ALEMBIC) heads
migrate_stamp:
	$(VENV) $(ALEMBIC) stamp head
migrate:
	$(VENV) $(ALEMBIC) revision --autogenerate